/* http://vk.com/plmods */

#include amxmodx
#include func_core
#include hamsandwich
#include fakemeta_util

#define PL_NAME							"JBE Fake Reality"
#define PL_VERSION						"0.0.1"
#define PL_AUTHOR						"OverGame"

#define PL_TIME_UPDATE					1.0

native jbe_get_day_mode();

public plugin_init() {
	register_plugin( PL_NAME, PL_VERSION, PL_AUTHOR );
	RegisterHam( Ham_Player_PostThink, "player", "Ham_PlayerThink_Post", true );
	RegisterHam( Ham_Spawn,"player","Ham_PlayerSpawn_Post", true );
}

public Ham_PlayerSpawn_Post( client ) if( fc_user_connected( client ) ) fm_set_user_suit( client, false, false );
public Ham_PlayerThink_Post( client ) {
	static Float:g_Time;
	if( !fc_user_connected( client ) || !fc_user_alive( client ) ) return;
	if( (g_Time + PL_TIME_UPDATE) < get_gametime() ) {
		fm_fade( client );
		g_Time = get_gametime();
	}
}

public fm_fade( client ) {
	static rigidity[ 33 ], Float:slay[ 33 ][ 3 ];
	if( fc_get_user_health( client ) <= 20 ) {
		rigidity[ client ] = 140;
		
		slay[ client ][ 0 ] = random_float(-4.0,6.0);
		slay[ client ][ 1 ] = random_float(-4.0,6.0);
		slay[ client ][ 2 ] = random_float(-4.0,6.0);
	} else if( fc_get_user_health( client ) <= 50 ) {
		rigidity[ client ] = 100;
		
		slay[ client ][ 0 ] = random_float(-2.0,3.0);
		slay[ client ][ 1 ] = random_float(-2.0,3.0);
		slay[ client ][ 2 ] = random_float(-2.0,3.0);
	} else if( fc_get_user_health( client ) <= 70 ) {
		rigidity[ client ] = 50;
		
		slay[ client ][ 0 ] = random_float(-1.0,1.5);
		slay[ client ][ 1 ] = random_float(-1.0,1.5);
		slay[ client ][ 2 ] = random_float(-1.0,1.5);
	} else {
		rigidity[ client ] = 0;
		slay[ client ][ 0 ] = 0.0;
		slay[ client ][ 1 ] = 0.0;
		slay[ client ][ 2 ] = 0.0;
	}
	
	set_pev( client, pev_punchangle, slay[ client ][ 0 ], slay[ client ][ 1 ], slay[ client ][ 2 ] );
	message_begin( MSG_ONE, get_user_msgid( "ScreenFade" ), {0,0,0}, client );
	write_short( 9999 );
	write_short( 100 );
	write_short( SF_FADE_MODULATE );
	write_byte( 255 );
	write_byte( 0 );
	write_byte( 0 );
	write_byte( rigidity[ client ] );
	message_end();
}